:
:   4L32v5.BAT Sets up the path and environment variables needed to use   
:              the Lahey F77L-EM/32 Fortran Compiler, version 5.?
:              according to April's conventions.
:
:   Requirements:  
:   1) AUTOEXEC.BAT (or something.BAT) must have defined the AGROOT,
:      and L32DIR environment variables before this is called.
:      April uses:
:          SET AGROOT=L:\AGRAM
:          SET L32DIR=I:\PROGS\L32v5\BIN
:
COPY %AGROOT%\4L32v5\4l32v5.bat %AGROOT%\compiler.bat
SET FORTRAN=L32
SET LIB=%SDTDSK%\progs\l32v5\lib
if $ == $%RAMDSK% goto NOCOPY  
:
:   If we have a RAM disk, copy l32aglib there.  (maybe the compiler too?)
:
@echo on
xcopy %MYDSK%\l32aglib\*.lib       %RAMDSK%\qq\*.*  /v 
@echo off
goto SKIP    
:
:  If no RAM disk:
:
:NOCOPY  
:
:   Regardless of whether there's a RAM disk or not:
: 
:SKIP
PATH=%L32DIR%;%AGROOT%\4l32v5;%PATH%
SET LFDIR=%L32DIR%
SET INIT=%L32DIR%
:
:   Now set the default options for the linker and compiler.
:   See comments at the end of FTNSET.BAT
: 
CALL %AGROOT%\4L32v5\ftnset.bat
:
:   For compiling within the Brief text editor:
:
set bcfor="f77l3 %%s.for /w"
