@echo off
echo .
echo    FTNSET.BAT sets the default fortran compiler switches.  Use:
echo               (no arg), LST, STR, or ERRCHK
echo .
:
:       (no arg)  for most compiles. optimized, no runtime error checks.
:         LST     generate a .COD listing file
:         STR     strict ANSI
:         ERRCHK  run time error checking on.
: 
if $$ == $%1$  goto DEFAULT
if %1 == LST  goto XLST 
if %1 == lst  goto XLST 
if %1 == STR  goto XSTR 
if %1 == str  goto XSTR 
if %1 == ERRCHK  goto XERRCHK
if %1 == errchk  goto XERRCHK 
echo        
echo         ***
echo         Sorry, but FTNSET does not recognize: %1
echo         Try [blank], LST, STR, or ERRCHK.
echo         ***
echo   
echo this is the parameter you typed: %1
pause
goto DONE 
:XERRCHK     
   SET fl32=/4Ns /4Nd /4Yb /G3 /Ge /Op /W1
   goto DONE  
:XSTR   
   SET fl32=/4Ys /4Nd /4Nb /G3 /Gs /Ox /W1
   goto DONE  
:XLST    
   SET fl32=/4Ns /4Nd /4Nb /G3 /Gs /Ox /W1 /Fc
   goto DONE  
:DEFAULT 
   SET fl32=/4Ns /4Nd /4Nb /G3 /Gs /Ox /W1
:DONE 
SET
:
:  Compiler options we might want to use: 
:  
:    /4Ys for strict ANSI
:    /4Yd warn about declared but unused variables
:>>       Nuts, Y also warns about undeclared used variables and I
:         use the defalut declarations (leading ijklmn => integer, 
:         other undeclareds = real).
:    /4Ya for automatic variables (fix save statements first!)
:    /4Yb extended error checking at run time
:    /Fc<filename> to get compiler listing with assembler code
:    /G3 80386
:    /G4 80486
:    /Ge run-time stack checking
:    /Gs disables run-time stack checking
:    /nologo  Suppressses a logo display (?)
:    /Ox speed optimization; no error checking
:    /Op precision enhancement and run-time error checking
:    /W0 suppresses warning messages
:    /W1 displays warning messages
:    /WX interpret all warnings as errors
:    /Zstuff = stuff for debugging.
:  
