:!
:!   ANDDS1.BAT: (PC version)
:!               generate the Anderson Dam test case shown
:!               in appendix B of the BAP User's Guide.
:!
@echo on
@echo.
@echo  OK to delete all A1*.APS files in the local dir?
pause
del a1*.aps
BAP idc=a1, %agroot%\testdata\andds1.bbf, @andds1.brp
IF errorlevel 1 goto STOPIT
:!
:!  Plot results from the FAS and RESPON steps:
:!
rename a1plots.aps andc.aps
:! +++ maybe: print andc.aps
pause
:!
:!  Plot time series, including pads:
:!
ptsp a1inout.bbf,a1acc.bbf,a1vel.bbf,a1dis.bbf, -20,60,80, @a.tsp
IF errorlevel 1 goto STOPIT
rename plots.aps anda.aps
:! +++ maybe: print anda.aps
pause
:!
:!  Plot time series without the pads, 20 seconds per page:
:!
ptsp a1acc.bbf,a1vel.bbf,a1dis.bbf, twoyax,twoxax, nopads
IF errorlevel 1 goto STOPIT
rename plots.aps andb.aps
:! +++ maybe: print andb.aps
:!
:!   end of job.
:!
EXIT
:!
:!   abnormal end:
:!
:STOPIT
