echo on
:!
:!   SMCDATA.BAT = PC version of the VAX SMCDATA.BAT used to generate
:!                 figure 5.3.b in the BAP OFR.  We want:
:!    smcdata1:  no filter, nopad
:!    smcdata2:     filter, nopad
:!    smcdata3:     filter, too short pad
:!    smcdata4:     filter, long enough pad
:!
@echo on
@echo.
@echo  +++ Is it OK to delete all SMCDATA*.BBF and .APS in the local
@echo      directory?  (If not, type CNTRL+C to abort this run.)
@echo.
@pause
del smcdata*.aps
del smcdata*.bbf
:!
:!  1) No filter, no pad
:!
bap %agroot%\testdata\andds1.bbf, input(f), NOpad, padsec=0.0, avd(f)
IF errorlevel 1 goto STOPIT
rename bpinout.bbf smcdata.bbf
copy smcdata.bbf smcdata2.bbf
copy %agroot%\examples\a.tsp *.*
ptsp smcdata.bbf,smcdata2.bbf,bpvel.bbf, bpdis.bbf, -20,60,80, @a.tsp
IF errorlevel 1 goto STOPIT
rename plots.aps smcdata1.aps
:!
:!  2) filter, nopad
:!
bap smcdata.bbf, NOpad, padsec=0.0,locut(f), corner=0.1, nroll=1, avd(f)
IF errorlevel 1 goto STOPIT
ptsp smcdata.bbf,bpacc.bbf,bpvel.bbf,bpdis.bbf,  -20,60,80, @a.tsp
IF errorlevel 1 goto STOPIT
rename plots.aps smcdata2.aps
:!
:!  3) padsec=5
:!
bap smcdata.bbf, pad,padsec=5, locut(f), corner=0.1, nroll=1, avd(f)
IF errorlevel 1 goto STOPIT
ptsp smcdata.bbf,bpacc.bbf,bpvel.bbf,bpdis.bbf,  -20,60,80, @a.tsp
IF errorlevel 1 goto STOPIT
rename plots.aps smcdata3.aps
:!
:!  4) padsec=20
:!
bap smcdata.bbf, pad, padsec=20.0,locut(f), corner=0.1, nroll=1, avd(f)
IF errorlevel 1 goto STOPIT
ptsp smcdata.bbf,bpacc.bbf,bpvel.bbf,bpdis.bbf,  -20,60,80, @a.tsp
IF errorlevel 1 goto STOPIT
rename plots.aps smcdata4.aps
:!
:!  Done
:!
@echo  Done!
goto END
:!
:STOPIT
@echo  *** Oops! abnormal end.
:END
 
 
